libzypp 17.37.10

ztui::out::XmlFormater Class Reference

XML representation of types in container [asXmlListElement]. More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::out::XmlFormater:

## Public Member Functions
template<class Tp>
std::string | xmlListElement (const Tp &val_r) const

## Related Symbols
(Note that these are not member symbols.)
template<class Tp>
std::string | asXmlListElement (const Tp &val_r)
| XML representation of types [no default].

## Detailed Description

XML representation of types in container [asXmlListElement].

Definition at line 155 of file Out.h.

## Member Function Documentation

## ◆ xmlListElement()

template<class Tp>

std::string ztui::out::XmlFormater::xmlListElement | ( | const Tp & | val_r | ) | const
| inline

Definition at line 158 of file Out.h.

## Friends And Related Symbol Documentation

## ◆ asXmlListElement()

template<class Tp>

std::string asXmlListElement | ( | const Tp & | val_r | ) |
| related

XML representation of types [no default].

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h